<fmt:formatNumber
	value="${bookingComponent.totalAmount.amount-bookingInfo.calculatedDiscount.amount}"
	var="totalCostingLine" type="number" pattern="####.##"
	maxFractionDigits="2" minFractionDigits="2" />
<c:set value="${totalCostingLine}" var="totalCostingLine" scope="page"/>
<c:set var="totalcost" value="${fn:split(totalCostingLine, '.')}" />
<div class="summary-breakdown">
	<c:set var="priceBreakDown"
		value="${bookingComponent.pricingDetails['priceBreakDown']}" />
									<div class="breakdown inline marg-bottom-10">
									
										<ul class="square grey-med">
											
											<!-- Passenger count -->
											<li>
				<!--	2 Adults, 2 Children (3yrs, 5yrs) --> <c:set var="numAdults"
					value="0" /> <c:set var="numChildren" value="0" /> <c:set
					var="numSeniors" value="0" /> <c:forEach var="passengerRoomSummary"
					items="${bookingComponent.passengerRoomSummary}" varStatus="status">
					<c:forEach var="passenger" items="${passengerRoomSummary.value}"
						varStatus="passen">
														<c:set var="noOfPassengers" value="${noOfPassengers+1}"/>
														<c:if test="${passenger.ageClassification=='ADULT'}" >
															<c:set var="numAdults" value="${numAdults+1 }"/>
														</c:if>
						<c:if
							test="${passenger.ageClassification=='CHILD' || passenger.ageClassification=='INFANT'}">
															<c:set var="numChildren" value="${numChildren+1 }"/>
														</c:if>
						<c:if
							test="${passenger.ageClassification=='SENIOR'|| passenger.ageClassification=='SENIOR2'}">
															<c:set var="numSeniors" value="${numSeniors+1 }"/>
														</c:if>
													</c:forEach>
				</c:forEach> <c:if test="${numAdults>0}">
													<c:out value="${numAdults}"/>
													<c:choose>
														<c:when test="${numAdults>1}">Adults</c:when>
														<c:otherwise>Adult</c:otherwise>
													</c:choose>
				</c:if> <c:if test="${numAdults>0 && numSeniors>0}">,
												</c:if> <c:if test="${numSeniors>0}">
													<c:out value="${numSeniors}"/>
													<c:choose>
														<c:when test="${numSeniors>1}">Seniors</c:when>
														<c:otherwise>Senior</c:otherwise>
													</c:choose>
				</c:if> <c:if test="${numChildren>0 && (numAdults>0 || numSeniors>0)}">,
												</c:if> <c:if test="${numChildren>0}">
													<c:out value="${numChildren}"/>
													<c:choose>
														<c:when test="${numChildren>1}">Children</c:when>
														<c:otherwise>Child</c:otherwise>
													</c:choose>
													(
													<c:forEach var="passengerRoomSummary"
						items="${bookingComponent.passengerRoomSummary}"
						varStatus="status">
						<c:forEach var="passenger" items="${passengerRoomSummary.value}"
							varStatus="passen">
							<c:if
								test="${passenger.ageClassification=='CHILD' || passenger.ageClassification=='INFANT'}">
																<c:out value="${passenger.age}"/>
																<c:choose>
																	<c:when test="${passenger.age > 1}">yrs</c:when>
																	<c:otherwise>yr</c:otherwise>
																</c:choose>
																<c:choose>
																	<c:when test="${!passen.last}">,</c:when>
									<c:otherwise>
										<c:if test="${!status.last}">,</c:if>
																	</c:otherwise>
																</c:choose>

															</c:if>
														</c:forEach>
													</c:forEach>
													)
												</c:if>
											</li>
											
											<!-- price per person -->
											
											<c:if test="${not empty bookingComponent.pricingDetails}">
				<c:set var="perPersonPrice"
					value="${bookingComponent.pricingDetails['PER_PERSON_PRICE']}" />
												<c:if test="${not empty perPersonPrice}">
													<c:forEach var="price" items="${perPersonPrice}">
														<c:if test="${price.amount.amount > 0}">
							<li>&euro; <fmt:formatNumber value="${price.amount.amount}"
									type="number" maxFractionDigits="2" minFractionDigits="2"
									pattern="#####.##" /> per person
															</li>
														</c:if>
													</c:forEach>
												</c:if>
				<c:set var="priceBreakDown"
					value="${bookingComponent.pricingDetails['priceBreakDown']}" />
												<c:if test="${not empty priceBreakDown}">
													<c:forEach var="price" items="${priceBreakDown}">
						<c:if
							test="${price.itemDescription == 'Online Discount' &&  price.amount.amount > 0}">
							<li>Includes &euro;<fmt:formatNumber
									value="${price.amount.amount}" type="number"
									maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" />
								discount
							</li>
														</c:if>
													</c:forEach>
												</c:if>
											</c:if>
											
	  <c:if test="${not empty bookingComponent.flightSummary}">
				<c:if
					test="${not empty bookingComponent.flightSummary.outboundFlight}">
            <c:forEach var="outboundFlight"
                items="${bookingComponent.flightSummary.outboundFlight}">
                <c:if test="${not empty outboundFlight}">
                    <c:set var="outboundDepartureAirportName"
                        value="${outboundFlight.departureAirportName}" />
					<c:set var="outboundArrivalAirportName"
						value="${outboundFlight.arrivalAirportName}" />
                    <c:set var="outboundDepartureDate"
                        value="${outboundFlight.departureDateTime}" />
                    <c:set var="outboundDepartureTime"
                        value="${outboundFlight.departureTime}" />
                    <c:set var="outboundArrivalTime"
                        value="${outboundFlight.arrivalTime}" />
                    <c:set var="outBoundDateOffset"
                        value="${outboundFlight.flightOffsetDays}" />
							<c:set var="outBoundCarrier" value="${outboundFlight.carrier}" />
                </c:if>
            </c:forEach>
        </c:if>
				<c:if
					test="${not empty bookingComponent.flightSummary.inboundFlight}">
            <c:forEach var="inboundFlight"
                items="${bookingComponent.flightSummary.inboundFlight}">
                <c:if test="${not empty inboundFlight}">
                    <c:set var="inboundDepartureAirportName"
                        value="${inboundFlight.departureAirportName}" />
                    <c:set var="inboundDepartureDate"
                        value="${inboundFlight.departureDateTime}" />
                    <c:set var="inboundDepartureTime"
                        value="${inboundFlight.departureTime}" />
                    <c:set var="inboundArrivalTime"
                        value="${inboundFlight.arrivalTime}" />
                    <c:set var="inBoundDateOffset"
                        value="${inboundFlight.flightOffsetDays}" />
							<c:set var="inBoundCarrier" value="${inboundFlight.carrier}" />
                </c:if>
            </c:forEach>

        </c:if>

	 <c:choose>
					<c:when
						test="${not empty bookingComponent.flightSummary.inboundFlight}">
						<c:set var="isRoundTrip" value="true" />

											<li>OUT: <c:out value="${outboundDepartureAirportName}" /> <fmt:formatDate
								value="${outboundDepartureDate}" pattern="E dd MMM yyyy" />. <span
							class="dis-block">Depart: <c:out
                                    value="${outboundDepartureTime}" /> Arrival: <c:out
									value="${outboundArrivalTime}" />. <span
								>${outBoundCarrier}</span></span></li>
											<li>RTN: <c:out value="${inboundDepartureAirportName}" /> <fmt:formatDate
								value="${inboundDepartureDate}" pattern="E dd MMM yyyy" />. <span
							class="dis-block">Depart: <c:out
                                    value="${inboundDepartureTime}" /> Arrival: <c:out
									value="${inboundArrivalTime}" />. <span
								>${inBoundCarrier}</span></span></li>
											
						</c:when>
						<c:otherwise>
						<c:set var="isRoundTrip" value="false" />
						              <li>OUT: <c:out value="${outboundDepartureAirportName}" /> <fmt:formatDate
								value="${outboundDepartureDate}" pattern="E dd MMM yyyy" />. <span
							class="dis-block">Depart: <c:out
                                    value="${outboundDepartureTime}" /> Arrival: <c:out
									value="${outboundArrivalTime}" />. <span
								>${outBoundCarrier}</span></span></li>
					                	
						</c:otherwise>
					</c:choose>
						
										</ul>
										</c:if>
									</div>
								</div>